R2-DOCKER(1)

NAME
r2-docker - Open files within an r2 contained in a Docker image

SYNOPSIS
r2-docker [-s] [-u] [-l] [-r] [-d] file

DESCRIPTION
radare2 is a commandline hexadecimal editor, and this tool allows you to create a contained version inside a Docker image to open your files safely.

The options are:

-s  open shell inside the docker image (user r2, pass r2)

-d  debug program (only for linux-x86-32/64)

-u  update or create the docker image with r2 inside

-l  List all docker images with radare2

-r  Remove the radare2 docker image

SEE ALSO

radare2(1)

AUTHORS

pancake <pancake@nopcode.org>